Каталог сделок CRM
/api/v1/developer/crm/dealsВозвращает сделки проекта с коммерческими и workflow-полями без внутренних ссылок.
Право доступаcrm.deals.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
lifecycleнеобязательно · querystringdefault: "active" · enum: ["active","archived","all"]JSON Schema
{ "type": "string", "enum": [ "active", "archived", "all" ], "default": "active" }statusнеобязательно · querystringdefault: "all" · enum: ["open","won","lost","all"]JSON Schema
{ "type": "string", "enum": [ "open", "won", "lost", "all" ], "default": "all" }limitнеобязательно · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursorнеобязательно · querystringminLength: 1 · maxLength: 512JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 512 }
Примеры запроса
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/crm/deals?lifecycle=active&limit=50' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Paginated project CRM deals
application/jsonobject
dealsобязательно- arraymaxItems: 100
Вложенная схема
arraymaxItems: 100objectidобязательно- stringminLength: 1 · maxLength: 160
contactIdобязательно- stringminLength: 1 · maxLength: 160
organizationIdобязательно- string | nullminLength: 1 · maxLength: 160
titleобязательно- stringminLength: 1
tagsобязательно- array
Вложенная схема
arraystringJSON Schema
{ "type": "string" }JSON Schema
{ "type": "array", "items": { "type": "string" } } pipelineIdобязательно- stringminLength: 1 · maxLength: 160
stageIdобязательно- stringminLength: 1 · maxLength: 160
budgetMinorобязательно- integerminimum: 0
expectedCloseDateобязательно- string | nullformat: "date"
statusобязательно- stringenum: ["open","won","lost"]
lifecycleобязательно- stringenum: ["active","archived"]
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "organizationId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "tags": { "type": "array", "items": { "type": "string" } }, "pipelineId": { "type": "string", "minLength": 1, "maxLength": 160 }, "stageId": { "type": "string", "minLength": 1, "maxLength": 160 }, "budgetMinor": { "type": "integer", "minimum": 0 }, "expectedCloseDate": { "type": [ "string", "null" ], "format": "date" }, "status": { "type": "string", "enum": [ "open", "won", "lost" ] }, "lifecycle": { "type": "string", "enum": [ "active", "archived" ] }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "contactId", "organizationId", "title", "tags", "pipelineId", "stageId", "budgetMinor", "expectedCloseDate", "status", "lifecycle", "createdAt", "updatedAt" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "organizationId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "tags": { "type": "array", "items": { "type": "string" } }, "pipelineId": { "type": "string", "minLength": 1, "maxLength": 160 }, "stageId": { "type": "string", "minLength": 1, "maxLength": 160 }, "budgetMinor": { "type": "integer", "minimum": 0 }, "expectedCloseDate": { "type": [ "string", "null" ], "format": "date" }, "status": { "type": "string", "enum": [ "open", "won", "lost" ] }, "lifecycle": { "type": "string", "enum": [ "active", "archived" ] }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "contactId", "organizationId", "title", "tags", "pipelineId", "stageId", "budgetMinor", "expectedCloseDate", "status", "lifecycle", "createdAt", "updatedAt" ] }, "maxItems": 100 } nextCursorобязательно- string | null
JSON Schema
{
"type": "object",
"properties": {
"deals": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"contactId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"organizationId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160
},
"title": {
"type": "string",
"minLength": 1
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"pipelineId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"stageId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"budgetMinor": {
"type": "integer",
"minimum": 0
},
"expectedCloseDate": {
"type": [
"string",
"null"
],
"format": "date"
},
"status": {
"type": "string",
"enum": [
"open",
"won",
"lost"
]
},
"lifecycle": {
"type": "string",
"enum": [
"active",
"archived"
]
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"contactId",
"organizationId",
"title",
"tags",
"pipelineId",
"stageId",
"budgetMinor",
"expectedCloseDate",
"status",
"lifecycle",
"createdAt",
"updatedAt"
]
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"deals",
"nextCursor"
],
"$ref": "#/components/schemas/DeveloperCrmDealListResponse"
}400 Invalid pagination request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}